package company

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/response"
	"hongze/hongze_yb/services/company"
	userService "hongze/hongze_yb/services/user"
)

// GetHomeFiccPermissions 首页品种权限列表
func GetHomeFiccPermissions(c *gin.Context) {
	userinfo := userService.GetInfoByClaims(c)

	list, err := company.GetHomeFiccPermissions(userinfo)
	if err !=nil {
		response.Fail(err.Error(), c)
		return
	}

	response.OkData("获取成功", list, c)
}