package global

import (
	"github.com/go-redis/redis/v8"
	"github.com/olivere/elastic/v7"
	oplogging "github.com/op/go-logging"
	"gorm.io/gorm"
	"hongze/hongze_yb/config"
	"io"
)

var (
	CONFIG        config.Config //配置文件
	LOG           *oplogging.Logger
	MYSQL         map[string]*gorm.DB //数据库连接配置
	MYSQL_LOG     io.Writer
	DEFAULT_MYSQL *gorm.DB      //默认数据库连接配置
	Redis         *redis.Client //redis链接
	EsClient      *elastic.Client
)
