package user

type LoginReq struct {
	LoginType  int    `description:"登录方式:1:手机，2:邮箱" json:"bind_type"`
	Mobile     string `description:"手机号" json:"mobile"`
	Email      string `description:"邮箱" json:"email"`
	AreaNum    int    `description:"国际区号" json:"area_num"`
	VerifyCode string `description:"短信/邮箱 验证码" json:"verify_code"`
}

type ApplyReq struct {
	BusinessCardUrl string `description:"名片地址" json:"business_card_url"`
	CompanyName     string `description:"公司名称" json:"company_name"`
	RealName        string `description:"用户真实姓名" json:"real_name"`
	Permission      string `description:"用户关注品种，多个品种之间用英文,隔开" json:"permission"`
	Source			int	   `description:"申请来源：1-我的 2-活动 3-图库"`
	SourceAgent     int    `description:"申请入口来源，1：小程序，2：pc" json:"source_agent"`
	FromPage        string `description:"申请来源页面" json:"from_page"`
}
